Skip to main content
`Ctrl`+`K`

# FixedWidthData

class astropy.io.ascii.FixedWidthData

  Bases: `BasicData`

  Base table data reader.

  Attributes Summary

  `start_line` | None, int, or a function of `lines` that returns None or int

  Methods Summary

  `write`(lines) | Write `self.cols` in place to `lines`.

  Attributes Documentation

  start_line = None

    None, int, or a function of `lines` that returns None or int

  Methods Documentation

  write(lines)

    Write `self.cols` in place to `lines`.

    Parameters:
      lines `python:list`

        List for collecting output of writing self.cols.